Bug 806079 - Add VM_NETWORKING_BRIDGE_INTERFACE
Add VM_NETWORKING_BRIDGE_INTERFACE
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-wallaby-base-db (Show other bugs)
Development
Unspecified Unspecified
medium Severity unspecified
: 2.2
: ---
Assigned To: Robert Rati
Daniel Horák
:
Depends On:
Blocks: 828434
  Show dependency treegraph
 
Reported: 2012-03-22 16:41 EDT by Robert Rati
Modified: 2012-09-19 14:03 EDT (History)
3 users (show)

See Also:
Fixed In Version: condor-wallaby-base-db-1.20-1
Doc Type: Bug Fix
Doc Text:
C: Bridged networking in the VM Universe requires definition of the network interface to be used C: Using remote configuration to configure bridged networking for the VM Universe would require adding the VM_NETWORKING_BRIDGE_INTERFACE parameter C: Added the VM_NETWORKING_BRIDGE_INTERFACE parameter to the base database R: It is no longer required to add the above parameter to the database in order to configure bridged networking for the VM Universe
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-19 13:43:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Rati 2012-03-22 16:41:49 EDT
Description of problem:
For bridge networking in the virtual machine universe, add VM_NETWORKING_BRIDGE_INTERFACE to the default database.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Robert Rati 2012-03-28 15:13:23 EDT
Added VM_NETWORKING_BRIDGE_INTERFACE to the database, cleaned up most other VM_UNIVERSE_* Params to properly be needs_restart, and added VM Universe params to the startd subsystem.  Also removed VM_SCRIPT from the db.

Updated on master.
Comment 3 Robert Rati 2012-04-02 09:51:39 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
C: Bridged networking in the VM Universe requires definition of the network interface to be used
C: Using remote configuration to configure bridged networking for the VM Universe would require adding the VM_NETWORKING_BRIDGE_INTERFACE parameter
C: Added the VM_NETWORKING_BRIDGE_INTERFACE parameter to the base database
R: It is no longer required to add the above parameter to the database in order to configure bridged networking for the VM Universe
Comment 5 Daniel Horák 2012-06-11 09:30:12 EDT
Reproduced on RHEL 5.8 i386:

# rpm -q condor-wallaby-base-db
  condor-wallaby-base-db-1.19-1.el5.noarch

# condor_configure_pool --list-all-params | grep VM_NETWORKING_BRIDGE_INTERFACE
# echo $?
  1
# grep -i VM_NETWORKING_BRIDGE_INTERFACE /var/lib/condor-wallaby-base-db/condor-base-db.snapshot
# echo $?
  1


Verified on: RHEL 5.8, 6.3 - i386, x86_64:

# rpm -q condor-wallaby-base-db
  condor-wallaby-base-db-1.22-4.el5.noarch

# condor_configure_pool --list-all-params | grep VM_NETWORKING_BRIDGE_INTERFACE
  VM_NETWORKING_BRIDGE_INTERFACE
# echo $?
  0

# cat /var/lib/condor-wallaby-base-db/condor-base-db.snapshot
  . . .
  - !ruby/object:Mrg::Grid::SerializedConfigs::Parameter
    conflicts: []

    default_val: ""
    depends: []

    description: The networking interface VM Universe jobs will use for bridge networking
    kind: String
    level: 0
    must_change: true
    name: VM_NETWORKING_BRIDGE_INTERFACE
    needs_restart: true
  . . .

Parameter VM_NETWORKING_BRIDGE_INTERFACE is now present in initial wallaby database.
Comment 7 errata-xmlrpc 2012-09-19 13:43:12 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1278.html

Note You need to log in before you can comment on or make changes to this bug.